Subject: RE: [Simple] draft-ietf-simple-publish-reqs-00

From: "Peterson, Jon" <[email-masked]>
Date: Wed, 26 Feb 2003 14:55:29 -0500

The argument that there is some 'hard state' that exists in the absence of
any publications (namely, the state or document expressing that the user is
away) is in some ways attractive, yes. You are correct that a registrar
doesn't supply null contact addresses or something when the user in question
has no registration, but rather provides a specific failure response. Of
course, the events framework has a different semantics - subscriptions are
accepted when there is currently no published presence information for a
user. Sending a failure response wouldn't be workable.

There are, however, a couple of NOTIFY syntaxes that might communicate that
there is no available presence information. One is that a NOTIFY might not
contain any body. Another is that the presence agent or compositor invents a
simple tuple that contains a status of CLOSED. The latter option may sound a
lot like hard state, whereas the former does not. Whether or not the latter
option is really 'state' though is debatable - almost an implementation
question. Having a default response to queries in the absence of state does
not, in and of itself, constitute state in my opinion. It does not require,
for example, per-user tables in memory that have some specific values, as
far as I can imagine how it would be implemented.

Jon Peterson
NeuStar, Inc.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, February 26, 2003 3:23 AM
> To: [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Subject: RE: [Simple] draft-ietf-simple-publish-reqs-00
> 
> 
> Hi,
> 
> Few comments inline. BTW, a good set of requirements.
> 
> Cheers,
> Aki
> 
[snip]
>  
>  > Of course, some sort of management interface could be 
>  > defined so that users
>  > could do their own manual garbage collection. But that would 
>  > be annoying.
>  > The REGISTER model, in which stale information automatically 
>  > goes away for
>  > you, is much more suitable to real-time communications.
> 
> Similarly, when all devices are off, or out of coverage, I 
> would like to see a presence document that says *something* 
> even though that something is unavailable at the moment.
> 
> Just like when I get a 480 and not 404 back when the callee 
> is in an unregistered state.
>  
> 
_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple